
SET(SIGNAL_LINK_DIRECTORIES 
  ${GraphManager_obj}
  ${TypeManager_obj}
  ${GraphVM_obj}
  ${Parsing_obj}
  ${Utilities_obj}
  ${XMIGenerator_obj}
  ${KernelRepr_obj} 
  ${Trees2Kernel_obj} 
  ${Kernel2Graph_obj}
  ${Names_obj}
  ${Supervisor_obj}
  ${SignalTreeManager_obj}
  ${pKServicesAPI_obj}
  ${Supervisor_obj}
  ${GraphDef_obj}
  ${GraphBuilder_obj}
  ${Distribution_obj}
  ${Partitions_obj}
  ${Colouring_obj}
  ${Interface_obj}
  ${Printers_obj}
  ${GraphTravel_obj}
  ${InterFormats_obj}
  ${Morphisms_obj}
  ${States_obj}
  ${Graph2Kernel_obj}
  ${Statistics_obj}
  ${GraphBuilder_obj}
  ${Optimisations_obj}
  ${MatrixCalculus_obj}
  ${Closure_obj}
  ${Booleans2Events_obj}
  ${CodeGenerators_obj}
  ${CGenerator_obj}
  ${CPPGenerator_obj}
  ${JavaGenerator_obj}
  ${GraphDef_obj}
  ${LustreGenerator_obj}
  ${SigaliGenerator_obj}
  ${FiacreGenerator_obj}
  ${SyndexGenerator_obj}
  ${DotGenerator_obj}
  ${GeneautoGenerator_obj}
  ${SMTGenerator_obj}
  ${ClockManager_obj}
  ${NodeManager_obj}
  ${ExprManager_obj}
  ${TypeManager_obj}
  ${TraceabilityManager_obj}
  ${GraphDefCommon_obj}
  ${Containers_obj}
  ${VHDLGenerator_obj}
  ${VLGenerator_obj}
  )

  SET(SIGNAL_BATCH_COMPILER_LIBRARIES  
    Supervisor
    pKServicesAPI
    Trees2Kernel
    KernelRepr
    Kernel2Graph
    SyndexGenerator
    GraphVM
    States
    GraphVM
    GraphBuilder
    ClockManager
    NodeManager
    ExprManager
    TraceabilityManager
    GraphDefCommon
    Booleans2Events
    Distribution
    Graph2Kernel
    MatrixCalculus
    Morphisms
    Printers
    Statistics
    Closure
    GraphTravel
    CodeGenerators
    CGenerator
    CPPGenerator
    JavaGenerator
    Interface
    Optimisations
    Colouring
    LustreGenerator
    SigaliGenerator
    FiacreGenerator
    SyndexGenerator
    GeneautoGenerator
    SMTGenerator
    DotGenerator
    InterFormats
    Partitions
    Parsing
    Names
    Utilities
    XMIGenerator
    SignalTreeManager
    GraphManager
    TypeManager
    Containers
    vhdlGenerator
    VLGenerator
)

IF(DEFINED makeSignalToolbox)
 INCLUDE(${Tree_obj}/Tree_export.cmake)
 INCLUDE(${BDD_obj}/BDD_export.cmake)
 INCLUDE(${Host_obj}/Host_export.cmake)
 INCLUDE(${CString_obj}/CString_export.cmake)
ENDIF(DEFINED makeSignalToolbox)

# from utl
SET(UTL_LINK_DIRECTORIES 
  ${Host_obj} 
  ${BDD_obj}
  ${utl_obj}
  ${CString_obj}
)

SET(UTL_LIBRARIES  
    Host
    BDD
    Tree
    CString
    )

SET(SYSTEMINTERFACE_LINK_DIRECTORIES
    ${SystemInterface_obj}
)


SET(SYSTEMINTERFACE_LIBRARIES  
     SystemInterface
)

SET( ALL_SIGNAL_TOOLBOX_LIBS ${SIGNAL_BATCH_COMPILER_LIBRARIES}  ${SYSTEMINTERFACE_LIBRARIES}  ${UTL_LIBRARIES} )



