process equationSolving =
     ( ? real a;
         real b;
         real c;
       ! real x2;
         real x1;
         boolean oc;
     )
  (| (| ( err, x21, x2,  stable, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339) := SecondDegree_ABSTRACT(when ( a/=0.0 ), a,b,c) |)  
   | (| ( x, err2, L61_PREDICATE) := FirstDegree_ABSTRACT(not a/=0.0,b,c) |)
   | (| x1 := x21 default x
      | oc := (when err) default err2
      |)
   | a ^= b ^= c
   |)
   where 
     boolean err2, err,stable, L61_PREDICATE, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339  ;
     
     process FirstDegree_ABSTRACT =
     ( ? boolean Compute; 
         real b, c;
       ! real x; 
         boolean err2, L61_PREDICATE;
     )
   pragmas 
      GreyBox "FirstDegree"
   end pragmas
   (| (| (| Compute ^= b ^= c ^= [:Tick]
          | [:Compute] ^= L61_PREDICATE
          | [/:L61_PREDICATE] ^= x
          | [:L61_PREDICATE] ^= err2
          |) |)
    | (| L73_nlabel :: (x, err2) := FirstDegree_Cluster_1(Compute)
       | L73_nlabel ^= [:Compute]
       |)
    | (| L75_nlabel :: L61_PREDICATE := FirstDegree_Cluster_3(Compute, b)
       | L75_nlabel ^= [:Tick]
       |)
    | (| c --> L73_nlabel
       | b --> L73_nlabel
       | Compute --> L73_nlabel
       | L75_nlabel --> L73_nlabel
       | c --> L75_nlabel
       | b --> L75_nlabel
       | Compute --> L75_nlabel
       |)
    |)
   where 
   event Tick; 
   label L73_nlabel, L75_nlabel; 
   action FirstDegree_Cluster_1 =
        ( ? boolean Compute;
          ! real x; 
            boolean err2;
        )
      pragmas 
         Cluster {Compute,b,c}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action FirstDegree_Cluster_3 =
        ( ? boolean Compute; 
            real b;
          ! boolean L61_PREDICATE;
        )
      pragmas 
         Cluster {Compute,b}
         BlackBox ""
      end pragmas
      external "C"
   ;
   end
; 
     
     process SecondDegree_ABSTRACT =
     ( ? boolean OK; 
         real a, b, c;
       ! boolean err; 
         real x21, x2; 
         boolean stable, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339;
     )
   pragmas 
      GreyBox "SecondDegree"
   end pragmas
   (| (| (| stable ^= L283_PREDICATE ^= [:Tick] ^= C_x ^= C_CLK_339
          | [:C_x] ^= x21
          | [:stable] ^= a ^= b ^= c
          | [:L283_PREDICATE] ^= x2
          | [/:a=0.0] ^= OK ^= L277_PREDICATE
          | [:L277_PREDICATE] ^= err
          |) |)
    | (| L351_nlabel :: (err, x21, x2, L277_PREDICATE, L283_PREDICATE, C_x, C_CLK_339) := SecondDegree_Cluster_1()
       | L351_nlabel ^= [:Tick]
       |)
    | (| L352_nlabel :: SecondDegree_Cluster_2(c)
       | L352_nlabel ^= [:stable]
       |)
    | (| L353_nlabel :: SecondDegree_Cluster_3(b)
       | L353_nlabel ^= [:stable]
       |)
    | (| L354_nlabel :: SecondDegree_Cluster_4(a)
       | L354_nlabel ^= [:Tick]
       |)
    | (| L380_nlabel :: stable := SecondDegree_STATES()
       | L380_nlabel ^= [:Tick]
       |)
    | (| OK --> L351_nlabel
       | c --> L351_nlabel
       | b --> L351_nlabel
       | a --> L351_nlabel
       | L352_nlabel --> L353_nlabel
       | L352_nlabel --> L351_nlabel
       | c --> L352_nlabel
       | L353_nlabel --> L351_nlabel
       | b --> L353_nlabel
       | L354_nlabel --> L353_nlabel
       | L354_nlabel --> L352_nlabel
       | L354_nlabel --> L351_nlabel
       | c --> L354_nlabel
       | a --> L354_nlabel
       | L354_nlabel --> L380_nlabel
       | L353_nlabel --> L380_nlabel
       | L352_nlabel --> L380_nlabel
       | L351_nlabel --> L380_nlabel
       |)
    |)
   where 
   event Tick; 
   label L351_nlabel, L352_nlabel, L353_nlabel, L354_nlabel, L380_nlabel; 
   action SecondDegree_Cluster_1 =
        ( ! boolean err; 
            real x21; 
            real x2; 
            boolean L277_PREDICATE; 
            boolean L283_PREDICATE; 
            boolean C_x; 
            boolean C_CLK_339;
        )
      pragmas 
         Cluster {a,b,c}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_2 =
        ( ? real c;
        )
      pragmas 
         Cluster {a,c}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_3 =
        ( ? real b;
        )
      pragmas 
         Cluster {a,b}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_Cluster_4 =
        ( ? real a;
        )
      pragmas 
         Cluster {a}
         BlackBox ""
      end pragmas
      external "C"
   ; 
   action SecondDegree_STATES =
        ( ! boolean stable init true;
        )
      pragmas 
         DelayCluster
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   ;
   end
; 

   real x21, x;
   end
; 
